> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Start (or fetch) a conversation



## OpenAPI

````yaml /api-reference/openapi.json post /v1/conversations
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/conversations:
    post:
      tags:
        - inbox
      summary: Start (or fetch) a conversation
      operationId: MessagesController_createConversation[1]
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateConversationDto'
      responses:
        '201':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    CreateConversationDto:
      type: object
      properties:
        accountId:
          type: string
          description: Account that owns the conversation
        contactHandle:
          type: string
          description: Contact identifier on the platform (Instagram PSID / WhatsApp wa_id)
        contactName:
          type: string
        externalConversationId:
          type: string
          description: Conversation id on the platform (defaults to contactHandle)
      required:
        - accountId
        - contactHandle
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````